Package com.io7m.montarre.api

# Record Class MPlatformDependentModule

java.lang.Object
java.lang.Record
com.io7m.montarre.api.MPlatformDependentModule

Record Components:
  `file` - The file
  `hash` - The hash
  `operatingSystem` - An operating system name
  `architecture` - An architecture name

All Implemented Interfaces:
  `MManifestItemType`

public record MPlatformDependentModule(MFileName file, MHash hash, MOperatingSystemName operatingSystem, MArchitectureName architecture) extends Record implements MManifestItemType
A platform independent module item.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MPlatformDependentModule(MFileName file, MHash hash, MOperatingSystemName operatingSystem, MArchitectureName architecture)`
  A platform independent module item.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MArchitectureName`
  `architecture()`
  Returns the value of the `architecture` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `MFileName`
  `file()`
  Returns the value of the `file` record component.
  `MHash`
  `hash()`
  Returns the value of the `hash` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `MOperatingSystemName`
  `operatingSystem()`
  Returns the value of the `operatingSystem` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MPlatformDependentModule

    public MPlatformDependentModule(MFileName file, MHash hash, MOperatingSystemName operatingSystem, MArchitectureName architecture)
    A platform independent module item.
    Parameters:
      `file` - The file
      `hash` - The hash
      `operatingSystem` - An operating system name
      `architecture` - An architecture name

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### file

    public MFileName file()
    Returns the value of the `file` record component.
    Specified by:
      `file` in interface `MManifestItemType`
    Returns:
      the value of the `file` record component

  - ### hash

    public MHash hash()
    Returns the value of the `hash` record component.
    Specified by:
      `hash` in interface `MManifestItemType`
    Returns:
      the value of the `hash` record component

  - ### operatingSystem

    public MOperatingSystemName operatingSystem()
    Returns the value of the `operatingSystem` record component.
    Returns:
      the value of the `operatingSystem` record component

  - ### architecture

    public MArchitectureName architecture()
    Returns the value of the `architecture` record component.
    Returns:
      the value of the `architecture` record component